#ifndef _SIMULATE_H
#define _SIMULATE_H

class ParallelPortIO;

class Simulator {

  public:
  Simulator();
  void update(ParallelPortIO *ppio);
  void incrementSpeed(float amount);
  void incrementRPM(float amount);
 
  private:
  int state;
  float rpm;
  float speed;
  int gear;
  double eventtimestamp;

  double tachpulsemissedlastpoll;
  double speedpulsemissedlastpoll;
  unsigned char currenttachpoll;
  unsigned char currentspeedpoll;

};

#endif
